# GetNexusByFormCode

List company nexus related to a tax form

`GET /api/v2/companies/{companyId}/nexus/byform/{formCode}`

**API:** AvaTax API
**Tag:** Nexus
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Nexus/GetNexusByFormCode/

## Description

Retrieves a list of nexus related to a tax form.
            
The concept of Nexus indicates a place where your company is legally obligated to collect and remit transactional
taxes.  The legal requirements for nexus may vary per country and per jurisdiction; please seek advice from your
accountant or lawyer prior to declaring nexus.
            
This API is intended to provide useful information when examining a tax form.  If you are about to begin filing
a tax form, you may want to know whether you have declared nexus in all the jurisdictions related to that tax
form in order to better understand how the form will be filled out.
You may specify one or more of the following values in the '$include' parameter to fetch additional nested data, using commas to separate multiple values:
            
 * Parameters

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, FirmAdmin, FirmUser, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this nexus object |
| `formCode` | string | path | Yes | The form code that we are looking up the nexus for |
| `$include` | string | query | No |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `NexusByTaxFormModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `NexusByTaxFormModel`

Identifies all nexus that match a particular tax form

| Property | Type | Required | Description |
|---|---|---|---|
| `formCode` | string | No | The code of the tax form that was requested Example: `UNKNOWNFORM`. |
| `companyId` | integer | No | The company ID of the company that was used to load the companyNexus array.  If this value is null, no company data was loaded. Example: `12345`. |
| `nexusDefinitions` | NexusModel[] | No | A list of all Avalara-defined nexus that are relevant to this tax form |
| `companyNexus` | NexusModel[] | No | A list of all currently-defined company nexus that are related to this tax form |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/nexus/byform/{formCode}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```